<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\admin\controller\bbfxshop\ladderpingji;

use app\admin\controller\bbfxshop\Base;
use think\Db;


class Config extends Base
{

    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\Ladderpingji;
    }
    
    public function set(){
        $params = $this->param();
        
        $config = Db::name("bbfx_ladderpingji")->where(["uniacid"=>UNIACID])->find();
        
        $data = array(
            "uniacid"=>UNIACID,
            "status"=>intval($params['status']),
            "condition_type"=>intval($params['condition_type']),
      	    "rule"=>iserializer($params['rule']),
      	    "reward_source"=>iserializer($params['reward_source']),
        );
         
        $rule = [
            [
                'levelname'=>'',// 等级名称
                'level'=>'',// 指定等级
                'condition_zhitui_level'=>['level0'=>''],// 直推指定等级用户
                'condition_zhitui_user'=>'',// 直推人数
                'condition_team'=>'',// 团队人数
                'reward'=>'',// 奖励
            ]
        ];
        
    	if(!empty($config)){
          	$res = Db::name("bbfx_ladderpingji")->where(["id"=>$config['id']])->update($data);;
        }
      	else{
        	$res = Db::name("bbfx_ladderpingji")->insert($data);
        }
        
        
        if($res){
            \app\admin\model\AdminLog::record("","",$data,"bbfx_ladderpingji");
            __success("编辑成功",$data);
        }
      	else{
      	    __success("操作成功",$data);
      	}
    }
}